This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429295 - Revise rendering of <systemitem> tag
Revise rendering of <systemitem> tag
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Andy Fitzsimon
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 10:52 EST by David O'Brien
Modified: 2010-11-23 22:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 02:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2008-01-18 10:52:12 EST
(created from RT 16771)

hey Andy,
in our doc I've introduced the following:
(e.g.)
<systemitem class="username">root</systemitem>

This gets used for, funnily enough, usernames. At present, text marked up this
way is rendered no differently from other text. I don't know if there are any
recommendations in any style guides, etc., but for our purposes it just needs to
stand out from the surrounding text. I'm happy for you to pick something (but
not italics please - yuk ;)

fwiw, <systemitem> also supports the following classes, so it might be worth
considering how we could group some of these for future use, and render accordingly:

constant
daemon
domainname
etheraddress
event
eventhandler
filesystem
fqdomainname
groupname
ipaddress
library
macro
netmask
newsgroup
osname
process
protocol
resource
server
service
systemname
username

I know you have a full plate; graphics comes before this :)

cheers mate
Comment 1 Andy Fitzsimon 2008-02-25 01:59:12 EST
I've fixed this one upstream for all book themes now.

Comment 2 David O'Brien 2008-02-25 02:05:51 EST
thanks Andy.

Brian, can bear this in mind when writing up any style guide doc?

Note You need to log in before you can comment on or make changes to this bug.